<?php

require_once("../config/conexion.php");
require_once("../models/Residencia.php");
$residencia = new Residencia();
/* =============================================
  JAVASCRIPT
  ============================================= */
switch ($_GET["op"]) {
    case "insertarActualizar":
        if (isset($_POST["personadbk"])) {
            $personadbk = $_POST["personadbk"];
        } else {
            if (isset($_POST["personadbkR"])) {
                $personadbk = $_POST["personadbkR"];
            }
        }
        if ($_POST["res_pais"] == 56) {
            $_POST["res_provinciatxt"] = "NA";
            $_POST["res_cantontxt"] = "NA";
        }
        if ($_POST["res_pais"] != 56) {
            $_POST["res_provincia"] = 0;
            $_POST["res_canton"] = 0;
        }
        $datos = array("tabla" => "residencia",
            "res_personadbk" => $personadbk,
            "res_pais" => $_POST["res_pais"],
            "res_provincia" => $_POST["res_provincia"],
            "res_provinciatxt" => $_POST["res_provinciatxt"],
            "res_canton" => $_POST["res_canton"],
            "res_cantontxt" => $_POST["res_cantontxt"],
            "res_parroquia" => $_POST["res_parroquia"],
            "res_barrio" => $_POST["res_barrio"],
            "res_zona" => $_POST["res_zona"],
            "res_direccion" => $_POST["res_direccion"],
            "res_telefono" => $_POST["res_telefono"]
        );
        $residencia->mdlInsertarActualizarResidencia($datos);
        break;
    case "quito":
        $datos = $residencia->Total_Quito();
        foreach ($datos as $row) {
            $output["quito"] = $row["quito"];
        }
        echo json_encode($output);
        break;          
}
?>
